## com.sun.grizzly
Interface ConnectorHandlerPool<E extends ConnectorHandler>

All Known Implementing Classes:
  CacheableConnectorHandlerPool, Controller, DefaultConnectorHandlerPool, ReadController

    public interface ConnectorHandlerPool<E extends ConnectorHandler>

Interface representing ConnectorHandler pool Implementation of this interface will be responsible for allocating/releasing client side `ConnectorHandler`s

Author:
  Alexey Stashok

Method Summary
`E` `acquireConnectorHandler(Controller.Protocol protocol)` Return an instance of `ConnectorHandler`, which corresponds to the protocol
`void` `releaseConnectorHandler(E connectorHandler)` Release a ConnectorHandler.

Method Detail

### acquireConnectorHandler

    E acquireConnectorHandler(Controller.Protocol protocol)

  Return an instance of `ConnectorHandler`, which corresponds to the protocol

  Parameters:
    `protocol` - a `Controller.Protocol`
  Returns:
    `ConnectorHandler`

### releaseConnectorHandler

    void releaseConnectorHandler(E connectorHandler)

  Release a ConnectorHandler.

  Parameters:
    `connectorHandler` - - a `ConnectorHandler`

Copyright © 2008 SUN Microsystems. All Rights Reserved.